%define name pytz
%define version 2024.1
%define release 1

Summary: World timezone definitions, modern and historical
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Stuart Bishop <stuart@stuartbishop.net>
Url: http://pythonhosted.org/pytz
BuildRequires: python3-devel, python3-setuptools

%description
python-tz brings the Olson tz database into Python.
This library allows accurate and cross platform timezone calculations
using Python 2.3 or higher. It also solves the issue of ambiguous times
at the end of daylight savings, which you can read more about in
the Python Library Reference (datetime.tzinfo).

%package -n python3-%{name}
Summary: Python 3 module of World timezone definitions, modern and historical

%description -n python3-%{name}
python-tz brings the Olson tz database into Python.
This library allows accurate and cross platform timezone calculations
using Python 2.3 or higher. It also solves the issue of ambiguous times
at the end of daylight savings, which you can read more about in
the Python Library Reference (datetime.tzinfo).

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}/usr/lib/python*/site-packages/*.egg-info/requires.txt
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python3-%{name}
%license LICENSE.txt

%{python3_sitelib}/pytz
%{python3_sitelib}/pytz*.egg-info

%changelog
* Mon Feb  5 2024 log2timeline development team <log2timeline-dev@googlegroups.com> 2024.1-1
- Auto-generated
